/*****************************************************************************/

/*
 *      dabcore.h  --  include file for dabcore.c
 *
 *      Copyright (C) 1999  Deti Fliegl (deti@gmx.de)
 *
 *  $Id: dabcore.h,v 1.1.2.1 2001/08/31 23:20:34 deti Exp $
 */

/*****************************************************************************/

#include <asm/ioctl.h>

typedef char modulebuf[1024];

typedef struct dab_dac_ctrl
{
	int addr;
	int val;
} dab_dac_ctrl_t;

#define IOCTL_DAB_DAC_CTRL		_IOW('d',  0x20, dab_dac_ctrl_t)
#define IOCTL_DAB_DAC_RATE		_IOW('d',  0x21, int)
#define IOCTL_DAB_WRITE_MSG		_IOW('d',  0x10, dab_module_msg_t)
#define IOCTL_DAB_READ_MSG		_IOR('d',  0x11, dab_module_msg_t)
#define IOCTL_DAB_READ_MODULE		_IOR('d',  0x12, modulebuf)
#define IOCTL_DAB_WRITE_MODULE		_IOW('d',  0x13, modulebuf)
#define IOCTL_DAB_READ_OK		_IOR('d',  0x14, int)
#define IOCTL_DAB_OVERRUNS		_IOR('d',  0x15, int)
#define IOCTL_DAB_RDIFORMAT		_IOR('d',  0x16, int)
#define IOCTL_DAB_RESETBUF		_IO ('d',  0x17)
#define IOCTL_DAB_DEBUG			_IOW('d',  0xff, int)
#define IOCTL_DAB_INFO			_IOR('d',  0x18, modulebuf)
#define IOCTL_DAB_VERSION           	_IOR('d', 0x3f, int)
#define IOCTL_DAB_WRITE_DPR		_IOW('d', 0x19, int)
#define IOCTL_DAB_READ_DPR		_IO ('d', 0x1a)
