// $Id: dabapi.h,v 1.1.2.1 2001/08/31 23:20:35 deti Exp $

#define DFIRE 0x8400

#define MSGREG_DAB	0x3ff		// Message from DAB Module to Controller
#define MSGREG_CPU	0x3fe		// Message from Controller to DAB Module
#define DATA_TYPE	0x3fd		// Data Type of BUFFPTR_FIC 0:empty 1:FIC 2:PAD 
#define FREEPTR_DAB	0x3fb		// First free field in circular buffer DAB Module -> Controller
#define DATAPTR_DAB	0x3fa		// Lowest used field in circular buffer DAB Module -> Controller
#define FREEPTR_CPU	0x3f9		// First free field in circular buffer Controller -> DAB Module
#define DATAPTR_CPU	0x3f8		// Lowest used field in circular buffer -> DAB Module
#define BUFFPTR_CPU	960			// circular buffer Controller -> DAB Module
#define BUFSIZE_CPU	32			// size in bytes
#define BUFFPTR_DAB	768			// circular buffer DAB Module -> Controller
#define BUFSIZE_DAB	192			// size in bytes
#define BUFFPTR_FIC	0			// FIC/PAD Databuffer
#define BUFSIZE_FIC	768			// size in bytes
#define FPGA_CTRLREG2 0x8804
#define FPGA_CTRLREG1 0x8800	// 0x30 ramp, 0x10 rdi

typedef struct 
{
	unsigned char buf[1024];
	int size;
} dab_module_msg_t, *pdab_module_msg_t;

#ifndef MODULE
void set_device(char *dev);
int open_driver(void);
int close_driver(void);
HANDLE get_fd(void);
int write_mem(HANDLE fd, UCHAR* data, int start, int len);
int read_mem(HANDLE fd, UCHAR* data, int start, int len);
int read_module_buf(HANDLE fd, pdab_module_msg_t msg);
int new_msg(HANDLE fd);
int write_module_buf(HANDLE fd, pdab_module_msg_t msg);
int reset_module_communication(HANDLE fd);
void set_dbg_mode(HANDLE fd, int val);
void dbg(HANDLE fd);
void lock_api(void);
void unlock_api(void);
int download_name(int i, int n, char *s);
int display_name(int i);
unsigned int get_overruns(HANDLE fd);
int get_devicetype(void);
unsigned int get_removed(HANDLE fd);
#endif
