/*****************************************************************************/

/*
 *      dabcore.h  --  include file for dabcore.c
 *
 *      Copyright (C) 1999  Deti Fliegl (deti@gmx.de)
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: dabcore.h,v 1.1.2.1 2001/08/31 23:20:35 deti Exp $
 */

/*****************************************************************************/

#include <asm/ioctl.h>

typedef char modulebuf[1024];

typedef struct dab_dac_ctrl
{
	int addr;
	int val;
} dab_dac_ctrl_t;

#define IOCTL_DAB_DAC_CTRL		_IOW('d',  0x20, dab_dac_ctrl_t)
#define IOCTL_DAB_DAC_RATE		_IOW('d',  0x21, int)
#define IOCTL_DAB_WRITE_MSG		_IOW('d',  0x10, dab_module_msg_t)
#define IOCTL_DAB_READ_MSG		_IOR('d',  0x11, dab_module_msg_t)
#define IOCTL_DAB_READ_MODULE		_IOR('d',  0x12, modulebuf)
#define IOCTL_DAB_WRITE_MODULE		_IOW('d',  0x13, modulebuf)
#define IOCTL_DAB_READ_OK		_IOR('d',  0x14, int)
#define IOCTL_DAB_OVERRUNS		_IOR('d',  0x15, int)
#define IOCTL_DAB_RDIFORMAT		_IOR('d',  0x16, int)
#define IOCTL_DAB_RESETBUF		_IO ('d',  0x17)
#define IOCTL_DAB_DEBUG			_IOW('d',  0xff, int)
#define IOCTL_DAB_INFO			_IOR('d',  0x18, modulebuf)
#define IOCTL_DAB_VERSION           	_IOR('d', 0x3f, int)
